problème localhost sur lenny amd64

Le
steph
--=-=-=
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

Salut à tous.

Suite à un changement d'architecture, je viens d'installer une lenny à
partir du cd1 amd64.
Mais là, j'ai un problème que je n'avais jamais eu auparavant: je
n'arrive pas à me connecter au localhost de ma machine.
Par exemple, l'interface web de cups est introuvable à l'adresse
localhost:631.
Je pense que c'est un problème de localhost car je ne peux me connecter
au démon museekd (p2p) à l'adresse localhost:2240, par contre ce démon
est accessible par l'intermédiaire du socket situéé dans /tmp
De plus, ping localhost me dis que tous les paquets sont perdus.
J'ai vérifié les fichiers /etc/hosts /etc/hostnames avec l'aide de
google, mais je n'arrive pas à trouver l'origine du dysfonctionnement.
Je précise, que la connexion avec ppp fonctionne bien. En outre,
j'ai installé une gentoo (avec un chroot à partir de debian) avec à
peu près les mêmes fichiers de conf(script iptables par exemple) et
je ne rencontre pas ce problème.

Toute suggestion ou aide sera apréciée.
Merci d'avance.
@+
--
steph

--=-=-=
Content-Type: application/pgp-signature

--BEGIN PGP SIGNATURE--
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiiHpsACgkQy/u54uZCatFsAACfXsO1GLDS6DSvLS6LH3zrJWS9
XXEAn1KnbxqL399gPyObDXTNWQ5OjzZr
=Z0MH
--END PGP SIGNATURE--
--=-=-=--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
alexandre mathieu
Le #16534891
steph a écrit :
Salut à tous.

Suite à un changement d'architecture, je viens d'installer une lenny à
partir du cd1 amd64.
Mais là, j'ai un problème que je n'avais jamais eu auparavant: je
n'arrive pas à me connecter au localhost de ma machine.
Par exemple, l'interface web de cups est introuvable à l'adresse
localhost:631.
Je pense que c'est un problème de localhost car je ne peux me connecter
au démon museekd (p2p) à l'adresse localhost:2240, par contre ce démon
est accessible par l'intermédiaire du socket situéé dans /tmp
De plus, ping localhost me dis que tous les paquets sont perdus.
J'ai vérifié les fichiers /etc/hosts /etc/hostnames avec l'aide de
google, mais je n'arrive pas à trouver l'origine du dysfonctionnement.
Je précise, que la connexion avec ppp fonctionne bien. En outre,
j'ai installé une gentoo (avec un chroot à partir de debian) avec à
peu près les mêmes fichiers de conf(script iptables par exemple) et
je ne rencontre pas ce problème.

Toute suggestion ou aide sera apréciée.
Merci d'avance.
@+




Salut,
dans tes requetes, si tu remplaces localhost par 127.0.0.1 tu as
toujours le meme resultat ?

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Charles Plessy
Le #16534931
Le Wed, Aug 13, 2008 at 01:36:59AM +0200, steph a écrit :
Salut à tous.

Suite à un changement d'architecture, je viens d'installer une lenny à
partir du cd1 amd64.
Mais là, j'ai un problème que je n'avais jamais eu auparavant: je
n'arrive pas à me connecter au localhost de ma machine.
Par exemple, l'interface web de cups est introuvable à l'adresse
localhost:631.



Bonjour,

C'est curieux: non seulement je n'ai pas ce problème sur Lenny, mais en
plus j'en ai rencontré un très similaire avec la version 1.3.8 de Sid…
La machine est-elle bien 100 % Lenny ? Si ce n'est pas le cas,
« aptitude install cups/testing » devrait régler le problème.

Amicalement,

--
Charles Plessy
Tsurumi, Kanagawa, Japan

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
steph
Le #16541151
Merci pour vos réponses rapides

-alexandre mathieu
Salut,
dans tes requetes, si tu remplaces localhost par 127.0.0.1 tu as
toujours le meme resultat ?



oui, le résultat est le même

Charles Plessy
C'est curieux: non seulement je n'ai pas ce problème sur Lenny, mais en
plus j'en ai rencontré un très similaire avec la version 1.3.8 de Sid…
La machine est-elle bien 100 % Lenny ? Si ce n'est pas le cas,
« aptitude install cups/testing » devrait régler le problème.



En fait après l'install, j'ai oublié de mettre le fichier
/etc/apt/preferences, ce qui (selon mon sources.list) lors de la
premiere upgrade et lorsque j'ai installé les paquets dont j'ai
besoin tout mon système s'est retrouvé en sid sauf le noyau.
Je me suis donc aperçu de mon erreur et j'ai downgradé tous les
paquets à la main avec aptitude. peut-être que certains sont encore
en sid...
Mais je comprends pas car le fait de downgrader ne m'a pas permis de
retrouver le localhost: j'utilise actuellement cups 1.3.7-9 0 de lenny
et cela ne fonctionne pas...

1comment faire pour être sur que tous les paquets installés
proviennent de lenny? ya-t-il une commande qui permette de downgrader
tout le système automatiquement?

2y-a-t-il un paquet spécifique qui soit en rapport direct avec
localhost a part les paquets host et hostnames qui sont de toute façon
à la même version dans lenny et dans sid?

encore merci
--
steph

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
David Prévot
Le #16541311
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

steph a écrit :

1comment faire pour être sur que tous les paquets installés
proviennent de lenny? ya-t-il une commande qui permette de downgrader
tout le système automatiquement?



En mettant une priorité supérieure à mille à Lenny dans ton
/etc/apt/preferences (cf. man apt_preferences). D'un autre côté, si ton
problème prend pour origine un dysfonctionnement de script
d'installation, ton problème ne sera pas forcément résolu de façon magique.

Amicalement

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkijNeoACgkQ18/WetbTC/rR7wCdFoqDfLg5l/Cy9bNPiLX+xz+m
XxQAn2Cut+W63V9wtsW6zAftd2f7PORI
=XGmK
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
steph
Le #16542751
merci pour vos réponses mais je viens de trouver l'origine du
problème:
j'avais un backup d'un ancien /etc dans lequel j'ai vu que le fichier
/etc/network/interfaces contenait:

# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

alors que mon fichier était vide.
apres remplacement tout fonctionne
mais je n'ai toujours pas compris d'où venait cette erreur car je
n'avais pas touché à ce fichier...

@ +
--
steph

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme